# $Revision: 1.32 $, $Date: 2010/06/30 07:08:53 $
# TODO:
# - make cgi scripts from doc as separate packages
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filesys
%define		pnam	SmbClient
Summary:	Filesys::SmbClient - interface for access Samba filesystem
Summary(pl.UTF-8):	Filesys::SmbClient - interfejs dostępu do systemu plików Samby
Name:		perl-Filesys-SmbClient
Version:	1.5
Release:	6
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Filesys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d5fdb54c7a36053bbf0e4f77c17fc885
URL:		http://search.cpan.org/dist/Filesys-SmbClient/
BuildRequires:	autoconf
BuildRequires:	libsmbclient-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautocompressdoc *.cgi

%description
Filesys::SmbClient Perl module provides interface to access routine
defined in libsmbclient.so and, using this routine, Samba filesystem.

%description -l pl.UTF-8
Moduł Perla Filesys::SmbClient stanowi interfejs dostępu do procedury
zdefiniowanej w libsmbclient.so i, za pośrednictwem tej procedury, do
systemu plików Samby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__autoconf}
%configure
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Filesys::SmbClient",
	OBJECT=>"libauthSamba.o SmbClient.o", LIBS=>["-lsmbclient"],
	VERSION_FROM=>"SmbClient.pm")' \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes smb2www-2.cgi smb2www.css
%dir %{perl_vendorarch}/Filesys
%{perl_vendorarch}/Filesys/*.pm
%dir %{perl_vendorarch}/auto/Filesys
%dir %{perl_vendorarch}/auto/Filesys/SmbClient
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Filesys/SmbClient/autosplit.ix
%{perl_vendorarch}/auto/Filesys/SmbClient/SmbClient.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Filesys/SmbClient/SmbClient.so
# this is NOT duplicate:
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba
#%%{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba/libauthSamba.a
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Filesys-SmbClient.spec,v $
Revision 1.32  2010/06/30 07:08:53  amateja
- release 6

Revision 1.31  2010/06/06 08:36:22  arekm
- release 5

Revision 1.30  2008/03/24 02:21:00  qboosh
- generic URL

Revision 1.29  2008-02-10 12:09:57  arekm
- rel 4

Revision 1.28  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.27  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.25  2005/03/24 12:13:20  zawadaa
- rel up for build with new libsmbclient, STBR
- but CPAN has new 3.0 ver - upgrade?

Revision 1.24  2004/11/03 22:30:22  paladine
- formatting

Revision 1.23  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.22  2004/05/30 10:04:56  radek
- release 2: finished upgrade, removed patch0, builds now.

Revision 1.21  2004/05/06 18:09:36  ankry
- fixed perl-devel BR

Revision 1.20  2004/04/24 23:11:20  ankry
- added OPTIMIZE=...

Revision 1.19  2004/04/20 16:43:16  ankry
- summary/description/license fixes

Revision 1.18  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.17  2003/11/16 12:54:18  migo
- up to 1.5, new bcond style
- not tested

Revision 1.16  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 19:09:38  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/28 10:08:22  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.10  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.9  2003/02/18 15:32:29  ankry
- massive attack: change CPAN URLs

Revision 1.8  2002/11/21 17:13:01  mis
- autoupdated to 1.4

Revision 1.7  2002/10/09 11:12:35  qboosh
- BR: autoconf

Revision 1.6  2002/09/26 17:00:39  ankry
- version 1.2, release 1 ; fixed file list

Revision 1.5  2002/08/03 11:30:16  ankry
- added test on BCond
- added autosplit.ix
- release 4

Revision 1.4  2002/07/18 23:56:11  ankry
- added %%{perl_sitearch}/Filesys
- release 3

Revision 1.3  2002/07/16 23:38:46  ankry
- translations, cleaning
- added %%{perl_sitearch}/auto/Filesys dir, removed unnecessary %%attr
- don't compress .cg in %%doc
- release 2

Revision 1.2  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.1  2002/06/03 22:42:51  blues
- initial release
